Retrieve Sandboxes
Retrieve information about the sandbox Vaults for the authenticated Vault.
GET
/api/{version}/objects/sandboxHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/objects/sandboxResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"entitlements": [
{
"size": "Small",
"available": 3,
"allowed": 4,
"temporary": 0
},
{
"size": "Large",
"available": 2,
"allowed": 2,
"temporary": 0
},
{
"size": "Full",
"available": 0,
"allowed": 1,
"temporary": 0
}
],
"active": [
{
"pod": "DS0",
"vault_id": 1001054,
"name": "Testing Sandbox",
"type": "config",
"size": "Full",
"status": "active",
"domain": "veepharm.com",
"dns": "myvault.veevavault.com",
"source_vault_id": 1000660,
"refresh_available": "2022-12-03T18:25:51.000Z",
"created_date": "2022-12-02T18:25:51.000Z",
"created_by": 1,
"modified_date": "2023-11-01T01:44:40.000Z",
"modified_by": 1,
"entitlements": [],
"release": "limited",
"expiration_date": "NULL"
},
{
"pod": "DS0",
"vault_id": 1001074,
"name": "VeePharm Sandbox",
"type": "config",
"size": "Small",
"status": "active",
"domain": "veepharm.com",
"dns": "veepharm-veepharm-sandbox.vaultdev.com",
"source_vault_id": 1000660,
"refresh_available": "2022-12-09T16:56:15.000Z",
"created_date": "2022-12-09T16:56:15.000Z",
"created_by": 1,
"modified_date": "2023-11-01T01:44:45.000Z",
"modified_by": 1,
"entitlements": [],
"release": "limited",
"expiration_date": "NULL"
}
]
}
}Response Details
Section link for Response DetailsThe response contains information about the sandbox Vaults for the authenticated Vault.